#include <iostream>
#include <iomanip>
#include <fstream>
#include <cmath>
using namespace std;
int main ()
{
	ifstream f1("DE001_3.INP");
	ofstream f2("DE001_3.OUT");
	int n;
	int max = -1000000;
	f1>>n;
	long long a;
	for(int i=0;i<n;i++)
	{
	f1>>a;
	if (a<0 && a > max)
    { 
	max=a;
	}
}
    f2<<max;	
	f1.close();
	f2.close();
	return 0; 
}
